# PolylineArrowMaterialProperty

#### new Cesium.PolylineArrowMaterialProperty(color)
DataSources/PolylineArrowMaterialProperty.js 15

A `MaterialProperty` that maps to PolylineArrow `Material` uniforms.

Name | Type | Default | Description
--- | --- | --- | ---
`color` | Property | Color | `Color.WHITE` | optional The `Color` Property to be used.

### Members

#### color : Property|undefined
DataSources/PolylineArrowMaterialProperty.js 57

Gets or sets the `Color` `Property`.

Default Value: `Color.WHITE`

#### readonly definitionChanged : Event
DataSources/PolylineArrowMaterialProperty.js 46

Gets the event that is raised whenever the definition of this property changes. The definition is considered to have changed if a call to getValue would return a different result for the same time.

#### readonly isConstant : Boolean
DataSources/PolylineArrowMaterialProperty.js 32

Gets a value indicating if this property is constant. A property is considered constant if getValue always returns the same result for the current definition.

### Methods

#### equals(other) → Boolean
DataSources/PolylineArrowMaterialProperty.js 92

Compares this property to the provided property and returns `true` if they are equal, `false` otherwise.

Name | Type | Description
--- | --- | ---
`other` | Property | optional The other property.

##### Returns:

`true` if left and right are equal, `false` otherwise.

#### getType(time) → String
DataSources/PolylineArrowMaterialProperty.js 66

Gets the `Material` type at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the type.

##### Returns:

The type of material.

#### getValue(time, result) → Object
DataSources/PolylineArrowMaterialProperty.js 77

Gets the value of the property at the provided time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time for which to retrieve the value.
`result` | Object | optional The object to store the value into, if omitted, a new instance is created and returned.

##### Returns:

The modified result parameter or a new instance if the result parameter was not supplied.